## org.eclipse.jst.jsf.context.symbol
Interface IPropertySymbol

All Superinterfaces:
  IObjectSymbol, ISymbol

All Known Subinterfaces:
  IBeanPropertySymbol

    public interface IPropertySymbol

extends IObjectSymbol

A representation of the model object 'IProperty Symbol'.

Provisional API - subject to change

The following features are supported:

- `Intermediate`

See Also:
  `SymbolPackage.getIPropertySymbol()`

Field Summary
`static java.lang.String` `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`boolean` `isIntermediate()` Returns the value of the 'Intermediate' attribute
`void` `setIntermediate(boolean value)` Sets the value of the '`Intermediate`' attribute

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IObjectSymbol
`call, coerce, getTypeDescriptor, isReadable, isWritable, setReadable, setTypeDescriptor, setWritable, supportsCoercion`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`getName, setName`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### isIntermediate

    boolean isIntermediate()

  Returns the value of the 'Intermediate' attribute.

  If the meaning of the 'Intermediate' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Intermediate' attribute.
  See Also:
    `setIntermediate(boolean)`, `SymbolPackage.getIPropertySymbol_Intermediate()`

### setIntermediate

    void setIntermediate(boolean value)

  Sets the value of the '`Intermediate`' attribute.

  Parameters:
    `value` - the new value of the 'Intermediate' attribute.
  See Also:
    `isIntermediate()`